/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Information to be reviewed or confirmed
 */
@ApiModel(description = "Information to be reviewed or confirmed")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ToBeReviewedInformation {
  @SerializedName("account_billing_street")
  private String accountBillingStreet = null;

  @SerializedName("account_billing_city")
  private String accountBillingCity = null;

  @SerializedName("visa_exp_city")
  private String visaExpCity = null;

  @SerializedName("claim_phone")
  private String claimPhone = null;

  @SerializedName("claim_fax")
  private String claimFax = null;

  @SerializedName("claim_person_other_phone")
  private String claimPersonOtherPhone = null;

  @SerializedName("bin_bin_issuername")
  private String binBinIssuername = null;

  @SerializedName("claim_bin_4LastDigits")
  private String claimBin4LastDigits = null;

  @SerializedName("bin_number")
  private String binNumber = null;

  public ToBeReviewedInformation accountBillingStreet(String accountBillingStreet) {
    this.accountBillingStreet = accountBillingStreet;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return accountBillingStreet
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getAccountBillingStreet() {
    return accountBillingStreet;
  }

  public void setAccountBillingStreet(String accountBillingStreet) {
    this.accountBillingStreet = accountBillingStreet;
  }

  public ToBeReviewedInformation accountBillingCity(String accountBillingCity) {
    this.accountBillingCity = accountBillingCity;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return accountBillingCity
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getAccountBillingCity() {
    return accountBillingCity;
  }

  public void setAccountBillingCity(String accountBillingCity) {
    this.accountBillingCity = accountBillingCity;
  }

  public ToBeReviewedInformation visaExpCity(String visaExpCity) {
    this.visaExpCity = visaExpCity;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return visaExpCity
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getVisaExpCity() {
    return visaExpCity;
  }

  public void setVisaExpCity(String visaExpCity) {
    this.visaExpCity = visaExpCity;
  }

  public ToBeReviewedInformation claimPhone(String claimPhone) {
    this.claimPhone = claimPhone;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return claimPhone
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getClaimPhone() {
    return claimPhone;
  }

  public void setClaimPhone(String claimPhone) {
    this.claimPhone = claimPhone;
  }

  public ToBeReviewedInformation claimFax(String claimFax) {
    this.claimFax = claimFax;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return claimFax
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getClaimFax() {
    return claimFax;
  }

  public void setClaimFax(String claimFax) {
    this.claimFax = claimFax;
  }

  public ToBeReviewedInformation claimPersonOtherPhone(String claimPersonOtherPhone) {
    this.claimPersonOtherPhone = claimPersonOtherPhone;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return claimPersonOtherPhone
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getClaimPersonOtherPhone() {
    return claimPersonOtherPhone;
  }

  public void setClaimPersonOtherPhone(String claimPersonOtherPhone) {
    this.claimPersonOtherPhone = claimPersonOtherPhone;
  }

  public ToBeReviewedInformation binBinIssuername(String binBinIssuername) {
    this.binBinIssuername = binBinIssuername;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return binBinIssuername
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getBinBinIssuername() {
    return binBinIssuername;
  }

  public void setBinBinIssuername(String binBinIssuername) {
    this.binBinIssuername = binBinIssuername;
  }

  public ToBeReviewedInformation claimBin4LastDigits(String claimBin4LastDigits) {
    this.claimBin4LastDigits = claimBin4LastDigits;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return claimBin4LastDigits
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getClaimBin4LastDigits() {
    return claimBin4LastDigits;
  }

  public void setClaimBin4LastDigits(String claimBin4LastDigits) {
    this.claimBin4LastDigits = claimBin4LastDigits;
  }

  public ToBeReviewedInformation binNumber(String binNumber) {
    this.binNumber = binNumber;
    return this;
  }

   /**
   * Meaning has to be clearify
   * @return binNumber
  **/
  @ApiModelProperty(value = "Meaning has to be clearify")
  public String getBinNumber() {
    return binNumber;
  }

  public void setBinNumber(String binNumber) {
    this.binNumber = binNumber;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ToBeReviewedInformation toBeReviewedInformation = (ToBeReviewedInformation) o;
    return Objects.equals(this.accountBillingStreet, toBeReviewedInformation.accountBillingStreet) &&
        Objects.equals(this.accountBillingCity, toBeReviewedInformation.accountBillingCity) &&
        Objects.equals(this.visaExpCity, toBeReviewedInformation.visaExpCity) &&
        Objects.equals(this.claimPhone, toBeReviewedInformation.claimPhone) &&
        Objects.equals(this.claimFax, toBeReviewedInformation.claimFax) &&
        Objects.equals(this.claimPersonOtherPhone, toBeReviewedInformation.claimPersonOtherPhone) &&
        Objects.equals(this.binBinIssuername, toBeReviewedInformation.binBinIssuername) &&
        Objects.equals(this.claimBin4LastDigits, toBeReviewedInformation.claimBin4LastDigits) &&
        Objects.equals(this.binNumber, toBeReviewedInformation.binNumber);
  }

  @Override
  public int hashCode() {
    return Objects.hash(accountBillingStreet, accountBillingCity, visaExpCity, claimPhone, claimFax, claimPersonOtherPhone, binBinIssuername, claimBin4LastDigits, binNumber);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ToBeReviewedInformation {\n");
    
    sb.append("    accountBillingStreet: ").append(toIndentedString(accountBillingStreet)).append("\n");
    sb.append("    accountBillingCity: ").append(toIndentedString(accountBillingCity)).append("\n");
    sb.append("    visaExpCity: ").append(toIndentedString(visaExpCity)).append("\n");
    sb.append("    claimPhone: ").append(toIndentedString(claimPhone)).append("\n");
    sb.append("    claimFax: ").append(toIndentedString(claimFax)).append("\n");
    sb.append("    claimPersonOtherPhone: ").append(toIndentedString(claimPersonOtherPhone)).append("\n");
    sb.append("    binBinIssuername: ").append(toIndentedString(binBinIssuername)).append("\n");
    sb.append("    claimBin4LastDigits: ").append(toIndentedString(claimBin4LastDigits)).append("\n");
    sb.append("    binNumber: ").append(toIndentedString(binNumber)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

